import { NgModule, APP_INITIALIZER } from '@angular/core';
import { HTTP_INTERCEPTORS } from '@angular/common/http';
import { UserModule } from './pages/users/user/user.module';

import { AppService } from './service/app.service';


export function initApp(appService: AppService) {
  return () => appService.initApp();
}
@NgModule({
  imports: [
    UserModule.forRoot(),
  ],
  exports: [],
  providers: [
    AppService,
    // ...GUARDS,
    // CookieService,
    // ClipboardService,
    {
      provide: APP_INITIALIZER,
      useFactory: initApp,
      deps: [AppService],
      multi: true
    },
    // { provide: HTTP_INTERCEPTORS, useClass: AuthHttpInterceptor, multi: true },
    { provide: 'virtualScroller.scrollThrottlingTime', useValue: 0 },
    { provide: 'virtualScroller.scrollDebounceTime', useValue: 0 },
    { provide: 'virtualScroller.scrollAnimationTime', useValue: 750 },
    { provide: 'virtualScroller.scrollbarWidth', useValue: undefined },
    { provide: 'virtualScroller.scrollbarHeight', useValue: undefined },
    { provide: 'virtualScroller.checkResizeInterval', useValue: 1000 },
    { provide: 'virtualScroller.resizeBypassRefreshThreshold', useValue: 5 }
  ]
})
export class AppProviderModule { }
