import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from '../../../../../environments/environment';
import { User } from '../../../../../shared/user/model/user.model';
import { AbstractRestService } from '../../../common/util/service/abstract-rest.service';

@Injectable()
export class UserService extends AbstractRestService<User> {

  public constructor(httpClient: HttpClient) {
    super(httpClient, environment.apiEntryPoint + '/users');
  }

  public getAllUsers(): Observable<User[]> {
    return this.httpClient.get<User[]>(`${this.apiEntryPoint}`);
  }
}
